PO4A-TRANSLATE(1p)

NAAM
po4a-translate - een PO-bestand terug omzetten naar documentatie-indeling

OVERZICHT
po4a-translate -f fmt -m hoofddocument.doc -p XX.po -l XX.doc

(XX.doc is de uitvoer, alle andere zijn invoer)

BESCHRIJVING
Het doel van het project po4a (PO voor alles) is om de vertaalwerkzaamheden (en interessanter nog, het onderhoud van vertalingen) te vergemakkelijken met behulp van gettext-hulpmiddelen in domeinen waarin deze niet meteen verwacht worden, zoals documentatie.

Het script po4a-translate is belast met het terug omzetten van de vertaling (welke in een PO-bestand gedaan werd) naar de documentatie-indeling. Het verstrekte PO-bestand moet de vertaling zijn van het POT-bestand dat geproduceerd werd met po4a-gettextize(1).

OPTIES

-f, --format
    Indeling van de documentatie die u wilt afhandelen. Gebruik de optie --help-format om de lijst van beschikbare indelingen te zien.

-a, --addendum
    Een bestand toevoegen aan het bestand dat het resultaat bevat (bijvoorbeeld, om er de naam van de vertaler in te plaatsen of een sectie "Over deze vertaling"). De eerste regel van het in te voegen bestand moet een PO4A-header zijn die aangeeft waar het moet ingevoegd worden (raadpleeg de sectie Hoe extra tekst toevoegen aan vertalingen in po4a(7)).

-A, --addendum-charset
    Tekenset van de addenda. Merk op dat alle addenda dezelfde tekenset moeten hebben.

-m, --master
    Bestand dat het te vertalen hoofddocument bevat.

-M, --master-charset
    Tekenset van het bestand met het te vertalen document.

-l, --localized
    Bestand waarin het gelokaliseerde (vertaalde) document geschreven moet worden.

-L, --localized-charset
    Tekenset van het bestand met het gelokaliseerde document.

-p, --po
    Bestand waaruit de berichtencatalogus gelezen moet worden.

-o, --option
    Extra optie(s) om door te geven aan de indelingsplug-in. Raadpleeg de documentatie bij elke plug-in voor meer informatie over de geldige opties en hun betekenis. U zou bijvoorbeeld '-o tablecells' kunnen doorgeven aan de ontleder voor AsciiDoc, terwijl de ontleder voor tekst '-o tabs=split' zou accepteren.

-k, --keep
    Drempelwaarde in termen van minimaal percentage vertaalde tekst om het resulterende bestand te bewaren (d.w.z. weg te schrijven) (standaard: 80); bestanden moeten minimaal voor 80% vertaald zijn om weggeschreven te worden.

-w, --width
    Op welke kolom een regelafbreking moet gebeuren in het bestand.

-h, --help
    Een korte hulptekst tonen.

--help-format
    De documentatie-indelingen vermelden die door po4a begrepen worden.

-V, --version
    De versie van het script tonen en afsluiten.

-v, --verbose
    De breedsprakigheid van het programma verhogen.

-d, --debug
    Enige foutopsporingsinformatie weergeven.

--porefs type[,wrap|nowrap]
    Het referentieformaat specificeren. Het argument type kan één van de volgende zijn: never om geen enkele referentie te produceren, file om enkel het bestand zonder het lijnnummer te specificeren, counter om het regelnummer te vervangen door een oplopende teller, en full om volledige referenties op te nemen (standaard: full).

    Het argument kan gevolgd worden door een komma en het sleutelwoord wrap of nowrap. Referenties worden standaard op één enkele regel geschreven. Met de optie wrap worden de referenties op verschillende regels geplaatst om het gettext-gereedschap (xgettext en msgmerge) na te bootsen. In een toekomstige release zal deze optie de standaard worden, omdat dit zinvoller is. De optie nowrap is beschikbaar, zodat gebruikers die zulks wensen, het oude gedrag kunnen behouden.

--wrap-po no|newlines|getal (standaard: 76)
    Specificeren hoe de regelafbreking voor po-bestanden er moet uitzien. Dit geeft de keuze tussen bestanden met een mooie regelafbreking, die echter kunnen leiden tot git-conflicten en bestanden die makkelijker automatisch te behandelen zijn, maar voor mensen moeilijker leesbaar.

    Vanouds brak de gettext-suite uit cosmetische overwegingen de regels van po-bestanden af bij de 77e kolom. Deze optie specificeert het gedrag van po4a. Indien dit ingesteld wordt op een numerieke waarde, zal po4a de regels van het po-bestand afbreken na deze kolom en na regeleinden die in de inhoud voorkomen. Indien dit ingesteld wordt op newlines, zal po4a de msgid en msgstr enkel afbreken na regeleinden die in de inhoud voorkomen. Indien dit ingesteld wordt op no, zal po4a helemaal geen regelafbreking toepassen in het po-bestand. De regelafbreking in het referentiecommentaar wordt geregeld door de optie --porefs.

    Merk op dat deze optie geen impact heeft op de wijze waarop regelafbreking in msgid en msgstr gebeurt, d.w.z. op hoe einderegels toegevoegd worden aan de inhoud van deze tekstfragmenten.

Inhoud (naast vertalingen) toevoegen aan gegenereerde bestanden
Om naast de vertaling extra inhoud toe te voegen aan het gegenereerde document (zoals de naam van de vertaler of een sectie "Over deze vertaling"). moet u de optie --addendum gebruiken.

De eerste regel van het addendum moet een header zijn die aangeeft waar in het document dit geplaatst moet worden (dit kan voor of na een bepaald onderdeel van het document zijn). De rest van het bestand zal woordelijk en zonder verdere verwerking toegevoegd worden aan het resulterende bestand.

Merk op dat indien po4a-translate er niet in slaagt een van de gegeven bestanden toe te voegen, het de volledige vertaling zal verwerpen (omdat het ontbrekende bestand mogelijk hetgene is dat aangeeft wie de auteur is, wat het onmogelijk zou maken om deze te contacteren om fouten in de vertaling te signaleren).

Voor de header geldt een behoorlijk rigide syntaxis. Voor meer informatie over het gebruik van deze functionaliteit en over de werking ervan, raadpleegt u de man-pagina po4a(7).

ZIE OOK
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT EN LICENTIE
Copyright 2002-2020 door SPI, inc.

Dit programma is vrije software; u kunt het verder verspreiden en/of aanpassen onder de bepalingen van de GPL (zie het bestand COPYING).